javax.jms

## Class IllegalStateRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jms.JMSRuntimeException
        - - javax.jms.IllegalStateRuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MQIllegalStateRuntimeException

      public class IllegalStateRuntimeException
      extends JMSRuntimeException

  This unchecked exception is thrown when a method is invoked at an illegal or inappropriate time or if the provider is not in an appropriate state for the requested operation, and the method signature does not permit a `IllegalStateRuntimeException` to be thrown. For example, this exception must be thrown if `JMSContext.commit` is called on a non-transacted session.
  Since:
    JMS 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalStateRuntimeException(String detailMessage)` Constructs a `IllegalStateRuntimeException` with the specified detail message
    `IllegalStateRuntimeException(String detailMessage, String errorCode)` Constructs a `IllegalStateRuntimeException` with the specified detail message and error code.
    `IllegalStateRuntimeException(String detailMessage, String errorCode, Throwable cause)` Constructs a `IllegalStateRuntimeException` with the specified detail message, error code and cause

  - ### Method Summary

    - ### Methods inherited from class javax.jms.JMSRuntimeException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalStateRuntimeException

          public IllegalStateRuntimeException(String detailMessage)

      Constructs a `IllegalStateRuntimeException` with the specified detail message
      Parameters:
        `detailMessage` - a description of the exception

    - #### IllegalStateRuntimeException

          public IllegalStateRuntimeException(String detailMessage,
                                      String errorCode)

      Constructs a `IllegalStateRuntimeException` with the specified detail message and error code.
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code

    - #### IllegalStateRuntimeException

          public IllegalStateRuntimeException(String detailMessage,
                                      String errorCode,
                                      Throwable cause)

      Constructs a `IllegalStateRuntimeException` with the specified detail message, error code and cause
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code
        `cause` - the underlying cause of this exception

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.